
Foreman - Bug #9946

unable to delete a vm from the compute resource vm listing

03/30/2015 08:36 AM - Ohad Levy

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when trying to delete a libvirt vm  from the compute resources vm listing i get:

2015-03-30 13:34:03 [I] Processing by ComputeResourcesVmsController#destroy as HTML

2015-03-30 13:34:03 [I]   Parameters: {"authenticity_token"=>"7rL4y3xGuy0u/zIGrgTR+RZ8FN+fXdSpcvXO

ajY6Rjk=", "compute_resource_id"=>"6-xx-sat-lab", "id"=>"7cdec39a-7a16-7894-c93a-5899c292fe68"}

2015-03-30 13:34:03 [W] Operation FAILED: wrong number of arguments (0 for 1)

2015-03-30 13:34:03 [I]   Rendered common/500.html.erb within layouts/application (6.2ms)

2015-03-30 13:34:03 [I]   Rendered layouts/base.html.erb (1.8ms)

2015-03-30 13:34:03 [I] Completed 500 Internal Server Error in 88.4ms (Views: 33.8ms | ActiveRecor

d: 1.2ms)

 tracelog:

ArgumentError

wrong number of arguments (0 for 1)

app/models/compute_resources/foreman/model/libvirt.rb:38:in `destroy_vm'

app/controllers/compute_resources_vms_controller.rb:71:in `destroy'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 03/30/2015 08:47 AM - Dominic Cleal

- Status changed from New to Need more information

I can't reproduce this.  Could you enable debug or remove the backtrace silencer (config/initializers/backtrace_silencers.rb) and try again please? 

The backtrace looks filtered to me, as I don't see an issue with what's in the line it mentions.

2015-03-30 13:45:33 [I] Started DELETE "/compute_resources/1-localhost/vms/980f600b-d08b-4199-9891-8388f89bd42

f" for 127.0.0.1 at 2015-03-30 13:45:33 +0100

2015-03-30 13:45:33 [I] Processing by ComputeResourcesVmsController#destroy as HTML

2015-03-30 13:45:33 [I]   Parameters: {"authenticity_token"=>"...", "compute_resource_id"=>"1-localhost", "id"

=>"980f600b-d08b-4199-9891-8388f89bd42f"}

2015-03-30 13:45:33 [D]   User Load (0.2ms)  SELECT "users".* FROM "users" WHERE "users"."id" = ? LIMIT 1  [["

id", 24]]

2015-03-30 13:45:33 [D] Setting current user thread-local variable to admin

2015-03-30 13:45:33 [D]   AuthSource Load (0.2ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sou

rces"."id" = 1 LIMIT 1

2015-03-30 13:45:33 [D]   ComputeResource Load (0.1ms)  SELECT "compute_resources".* FROM "compute_resources" 

WHERE "compute_resources"."id" = ? ORDER BY compute_resources.name LIMIT 1  [["id", "1-localhost"]]

2015-03-30 13:45:33 [I] Redirected to http://0.0.0.0:3000/compute_resources/1-localhost/vms

2015-03-30 13:45:33 [I] Completed 302 Found in 260.4ms (ActiveRecord: 0.5ms)

#2 - 03/30/2015 08:59 AM - Ohad Levy
- Status changed from Need more information to Rejected

I'm unable to reproduce, this might be a specific issue with that VM configuration, the VM actually deleted itself, and deleting other vms works just

fine.. rejecting.
